package com.yanzhu.jh.wxsetting.mapper;

import java.util.List;
import com.yanzhu.jh.wxsetting.domain.SurMenuConfig;
import com.yanzhu.jh.wxsetting.domain.SurMenuConfigRole;

/**
 * 菜单配置Mapper接口
 * 
 * @author JiangYuQi
 * @date 2023-08-24
 */
public interface SurMenuConfigMapper 
{
    /**
     * 查询菜单配置
     * 
     * @param id 菜单配置主键
     * @return 菜单配置
     */
    public SurMenuConfig selectSurMenuConfigById(Long id);

    /**
     * 查询菜单配置列表
     * 
     * @param surMenuConfig 菜单配置
     * @return 菜单配置集合
     */
    public List<SurMenuConfig> selectSurMenuConfigList(SurMenuConfig surMenuConfig);

    /**
     * 新增菜单配置
     * 
     * @param surMenuConfig 菜单配置
     * @return 结果
     */
    public int insertSurMenuConfig(SurMenuConfig surMenuConfig);

    /**
     * 修改菜单配置
     * 
     * @param surMenuConfig 菜单配置
     * @return 结果
     */
    public int updateSurMenuConfig(SurMenuConfig surMenuConfig);

    /**
     * 删除菜单配置
     * 
     * @param id 菜单配置主键
     * @return 结果
     */
    public int deleteSurMenuConfigById(Long id);

    /**
     * 批量删除菜单配置
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSurMenuConfigByIds(Long[] ids);

    /**
     * 批量删除菜单配置角色
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSurMenuConfigRoleBySmcids(Long[] ids);
    
    /**
     * 批量新增菜单配置角色
     * 
     * @param surMenuConfigRoleList 菜单配置角色列表
     * @return 结果
     */
    public int batchSurMenuConfigRole(List<SurMenuConfigRole> surMenuConfigRoleList);
    

    /**
     * 通过菜单配置主键删除菜单配置角色信息
     * 
     * @param id 菜单配置ID
     * @return 结果
     */
    public int deleteSurMenuConfigRoleBySmcid(Long id);
}
